Error message

Deprecated function: Methods with the same name as their class will not be constructors in a future version of PHP; GeSHi has a deprecated constructor in require_once() (line 915 of /var/www/davidherron.com/sites/all/modules/libraries/libraries.module).

Like Unix Expect: Automate Command Line Programs in Node.js with Suppose

Goes over the 'suppose' module for Node.js which implements functionality similar to the venerable 'expect' command. Expect is widely used for software testing, and for automating command line tools which aren't terribly compatible with shell scripts.
http://procbits.com/2012/08/03/like-unix-expect-automate-command-line-programs-in-node-js-with-suppose/
https://github.com/jprichardson/node-suppose